1. Feed Operations
Guardsman Feed API
  • Authentication
    • Oauth authentication
      POST
  • Feed Operations
    • Create feed entry
      POST
    • Create cancellation request entry
      POST
    • Create feed entry
      POST
    • Create cancellation request entry
      POST
  1. Feed Operations

Create cancellation request entry

POST
/v1/key/feed/cancelpolicy
Use this endpoint to create a new cancellation request entry. Field character restrictions are the same as the feed entry endpoint, please see that section for guidance.
This endpoint uses pre-shared API key authentication. Supply the issued API key in the Authorization header as a Bearer token.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params multipart/form-dataRequired

Responses

🟢201Created
application/json
On a successful request, a 201 response will be returned, along with a json object containing information about the record.
Bodyapplication/json

🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/key/feed/cancelpolicy' \
--header 'Authorization: Bearer <token>' \
--form 'account_code=""' \
--form 'reference=""' \
--form 'title=""' \
--form 'initials=""' \
--form 'surname=""' \
--form 'address1=""' \
--form 'address2=""' \
--form 'town=""' \
--form 'county=""' \
--form 'postcode=""' \
--form 'email="shop@example.com"' \
--form 'policy=""' \
--form 'total_seats="3"' \
--form 'total_value="1234.56"' \
--form 'policy_premium="22.5"' \
--form 'description=""' \
--form 'manufacturer=""' \
--form 'model=""' \
--form 'colour=""' \
--form 'fabric=""' \
--form 'purchase_date="14/02/2025"' \
--form 'delivery_date="22/03/2025"' \
--form 'order_number=""' \
--form 'invoice_number=""' \
--form 'telephone=""' \
--form 'cancellation_reason="No longer required"'
Response Response Example
201 - Success
{
    "status": 1,
    "message": "Entry stored successfully",
    "recordid": 14
}
Modified at 2026-10-02 10:55:30
Previous
Create feed entry
Built with